Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKShape Struct Reference

Representation of a shape. More...

`#include <IWORKShape.h>`

## Public Member Functions
| IWORKShape ()

## Public Attributes
IWORKGeometryPtr_t | m_geometry
IWORKStylePtr_t | m_style
boost::optional< int > | m_order
IWORKPathPtr_t | m_path
IWORKTextPtr_t | m_text
bool | m_locked

## Detailed Description

Representation of a shape.

## Constructor & Destructor Documentation

## ◆ IWORKShape()

libetonyek::IWORKShape::IWORKShape | ( |  | ) |

## Member Data Documentation

## ◆ m_geometry

IWORKGeometryPtr_t libetonyek::IWORKShape::m_geometry

## ◆ m_locked

bool libetonyek::IWORKShape::m_locked

## ◆ m_order

boost::optional<int> libetonyek::IWORKShape::m_order

## ◆ m_path

IWORKPathPtr_t libetonyek::IWORKShape::m_path

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKShape::m_style

## ◆ m_text

IWORKTextPtr_t libetonyek::IWORKShape::m_text

The documentation for this struct was generated from the following files:

- IWORKShape.h
- IWORKShape.cpp